org.apache.ignite.internal.processors.igfs

## Interface IgfsEx

All Superinterfaces:
  IgniteAsyncSupport, IgniteFileSystem

All Known Implementing Classes:
  IgfsAsyncImpl, IgfsImpl

    public interface IgfsEx
    extends IgniteFileSystem

Internal API extension for `IgniteFileSystem`.

### Field Summary

### Fields inherited from interface org.apache.ignite.IgniteFileSystem

`IGFS_SCHEME`

### Method Summary

Methods
`IgfsSecondaryFileSystem` `asSecondary()` Return the given IGFS as a secondary file system.
`void` `await(IgfsPath... paths)` Await for any pending finished writes on the children paths.
`String` `clientLogDirectory()` Gets client file system log directory.
`void` `clientLogDirectory(String logDir)` Sets client file system log directory.
`IgfsContext` `context()`
`boolean` `evictExclude(IgfsPath path, boolean primary)` Whether this path is excluded from evictions.
`Boolean` `globalSampling()` Get sampling state.
`void` `globalSampling(Boolean val)` Enables, disables or clears sampling flag.
`IgfsStatus` `globalSpace()` Gets global space counters.
`long` `groupBlockSize()` Gets group block size, i.e. block size multiplied by group size in affinity mapper.
`boolean` `isProxy(URI path)` Check whether the given path is proxy path.
`IgniteUuid` `nextAffinityKey()` Get next affinity key.
`void` `stop(boolean cancel)` Stops IGFS cleaning all used resources.

### Methods inherited from interface org.apache.ignite.IgniteFileSystem

`affinity, affinity, append, append, clear, clearAsync, configuration, create, create, create, delete, execute, execute, execute, execute, executeAsync, executeAsync, executeAsync, executeAsync, exists, info, listFiles, listPaths, metrics, mkdirs, mkdirs, mode, name, open, open, open, rename, resetMetrics, setTimes, size, summary, update, usedSpaceSize, withAsync`

### Methods inherited from interface org.apache.ignite.lang.IgniteAsyncSupport

`future, isAsync`

### Method Detail

#### stop

    void stop(boolean cancel)

Stops IGFS cleaning all used resources.

Parameters:
  `cancel` - Cancellation flag.

#### context

    IgfsContext context()

Returns:
  IGFS context.

#### globalSpace

    IgfsStatus globalSpace()
                           throws IgniteCheckedException

Gets global space counters.

Returns:
  Tuple in which first component is used space on all nodes, second is available space on all nodes.
Throws:
  `IgniteCheckedException` - If task execution failed.

#### globalSampling

    void globalSampling(@Nullable
                      Boolean val)
                        throws IgniteCheckedException

Enables, disables or clears sampling flag.

Parameters:
  `val` - `True` to turn on sampling, `false` to turn it off, `null` to clear sampling state.
Throws:
  `IgniteCheckedException` - If failed.

#### globalSampling

    @Nullable
    Boolean globalSampling()

Get sampling state.

Returns:
  `True` in case sampling is enabled, `false` otherwise, or `null` in case sampling flag is not set.

#### groupBlockSize

    long groupBlockSize()

Gets group block size, i.e. block size multiplied by group size in affinity mapper.

Returns:
  Group block size.

#### clientLogDirectory

    @Nullable
    String clientLogDirectory()

Gets client file system log directory.

Returns:
  Client file system log directory or `null` in case no client connections have been created yet.

#### clientLogDirectory

    void clientLogDirectory(String logDir)

Sets client file system log directory.

Parameters:
  `logDir` - Client file system log directory.

#### evictExclude

    boolean evictExclude(IgfsPath path,
                       boolean primary)

Whether this path is excluded from evictions.

Parameters:
  `path` - Path.
  `primary` - Whether the mode is PRIMARY.
Returns:
  `True` if path is excluded from evictions.

#### nextAffinityKey

    IgniteUuid nextAffinityKey()

Get next affinity key.

Returns:
  Next affinity key.

#### isProxy

    boolean isProxy(URI path)

Check whether the given path is proxy path.

Parameters:
  `path` - Path.
Returns:
  `True` if proxy.

#### asSecondary

    IgfsSecondaryFileSystem asSecondary()

Return the given IGFS as a secondary file system.

Returns:
  Secondary file system wrapper.

#### await

    void await(IgfsPath... paths)

Await for any pending finished writes on the children paths.

Parameters:
  `paths` - Paths to check.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017